Summary:   Cached AppStream metadata
Name:      appstream-data
Version:   7
Release:   6%{?dist}
BuildArch: noarch
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       http://people.redhat.com/rhughes/metadata/
Source1:   http://people.redhat.com/rhughes/metadata/rhel-%{version}.xml.gz
Source2:   http://people.redhat.com/rhughes/metadata/rhel-%{version}-icons.tar.gz
Source3:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/adobe-flash.xml
Source4:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/gstreamer-non-free.xml
Source5:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/other-repos.xml

# specially prepared for RHEL
Source6:   ibus.xml
Source7:   fonts.xml.gz
Source8:   fonts-icons.tar.gz

# extra applications not in RHEL
Source9:   http://people.redhat.com/rhughes/metadata/epel-%{version}.xml.gz
Source10:  http://people.redhat.com/rhughes/metadata/epel-%{version}-icons.tar.gz

# This is built using:
# sshfs user@host:/media/mirror/RHEL /media/mirror/
# reposync -r rhel-7.2-candidate -p /media/mirror/
# https://github.com/hughsie/appstream-scripts/blob/master/rhel/rhel-7.2-candidate.sh
#
# Be sure to use appstream-glib 0.4.1 or newer when generating!

BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers.

%install

DESTDIR=%{buildroot} appstream-util install %{SOURCE1} %{SOURCE2}
DESTDIR=%{buildroot} appstream-util install \
	%{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
	%{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10}

# work around the not-yet-in-rhel install-origin
mv %{buildroot}/usr/share/app-info/icons/fonts/64x64/* %{buildroot}/usr/share/app-info/icons/rhel-%{version}/64x64/
rmdir %{buildroot}/usr/share/app-info/icons/fonts/64x64
rmdir %{buildroot}/usr/share/app-info/icons/fonts

%files
%attr(0644,root,root) %{_datadir}/app-info/xmls/*
%{_datadir}/app-info/icons/rhel-%{version}/*/*.png
%{_datadir}/app-info/icons/epel-%{version}/*/*.png
%dir %{_datadir}/app-info
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/icons/rhel-%{version}/64x64
%dir %{_datadir}/app-info/icons/rhel-%{version}/128x128
%dir %{_datadir}/app-info/icons/epel-%{version}/64x64
%dir %{_datadir}/app-info/icons/epel-%{version}/128x128
%dir %{_datadir}/app-info/xmls

%changelog
* Wed Jul 29 2015 Richard Hughes <richard@hughsie.com> 7-6
- Use a Red Hat screenshot mirror location
- Resolves: #1237362

* Thu Jun 18 2015 Richard Hughes <richard@hughsie.com> 7-5
- Do not duplicate the RHEL-7 icons in EPEL-7
- Resolves: #1184202

* Thu Jun 18 2015 Richard Hughes <richard@hughsie.com> 7-4
- Add the applications from EPEL 7
- Resolves: #1184202

* Wed Jun 17 2015 Richard Hughes <richard@hughsie.com> 7-3
- Add the missing GStreamer, fonts and IBus metadata
- Resolves: #1184202

* Tue Jun 16 2015 Richard Hughes <richard@hughsie.com> 7-2
- Regenerate the RHEL metadata using rhel-7.2-candidate
- Ship HiDPI icons
- Resolves: #1184202

* Thu Oct 29 2014 Richard Hughes <richard@hughsie.com> 7-1
- Initial metadata version
- Resolves: #1184202
